@import 'variables';
@import './mixins/mixins.scss';

.page_intro {
  margin: 2.5rem auto;
  max-width: 500px;
}

.page {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 0 auto;
  max-width: 800px;
  font-family: $font-family;

  .header {
    text-align: center;
    padding: 2em 20px;
  }

  .card {
    position: relative;
    border: 2px solid $color-primary;
    padding: 40px;
    margin: 20px;

    .card_header {
      h1 {
        margin: 0;
      }
    }

    .card_bg {
      position: absolute;
      top: 10px;
      left: 10px;
      right: -10px;
      bottom: -10px;
      background-color: lighten($color:$color-primary, $amount: 45);
      z-index: -1;
    }

    .card_body {
      padding: 20px 0;
    }

    .card_footer a {
      display: inline-block;
      border: 1px solid $color-primary;
      padding: 4px 15px;
      box-shadow: 3px 3px 0 lighten($color: $color-primary, $amount: 30);
      &:hover {
        color: $color-white;
        background-color: $color-primary;
      }
    }
  }
}